package com.foreverwin.mesnac.anomaly.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 异常单记录表
 * </p>
 *
 * @author zjw
 * @since 2021-09-15
 */

@TableName("Z_ABNORMAL_BILL_LOG")

public class AbnormalBillLog extends Model<AbnormalBillLog> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 异常单
     */
   @TableField("ABNORMAL_NO")
   private String abnormalNo;
    /**
     * 异常状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 异常类型
     */
   @TableField("TYPE")
   private String type;
    /**
     * 物料BO
     */
   @TableField("ITEM_BO")
   private String itemBo;
    /**
     * SFC条码
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 操作维护
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 异常车间
     */
   @TableField("WORK_CENTER")
   private String workCenter;
    /**
     * 工单
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 消息类型
     */
   @TableField("MESSAGE_TYPE")
   private String messageType;
    /**
     * 设备编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 不良代码
     */
   @TableField("NC_CODE")
   private String ncCode;
    /**
     * 不良代码组
     */
   @TableField("NC_CODE_GROUP")
   private String ncCodeGroup;
    /**
     * 停机处理
     */
   @TableField("SHUT_DOWN")
   private String shutDown;
    /**
     * 响应人员
     */
   @TableField("RESPONSE_USER")
   private String responseUser;
    /**
     * 响应时间
     */
   @TableField("RESPONSE_DATE_TIME")
   private LocalDateTime responseDateTime;
    /**
     * 问题描述
     */
   @TableField("PB_DESCRIPTION")
   private String pbDescription;
    /**
     * 不良品数量
     */
   @TableField("NC_QTY")
   private String ncQty;
    /**
     * 问题等级
     */
   @TableField("PB_GRADE")
   private String pbGrade;
    /**
     * 问题提报人
     */
   @TableField("PB_USER")
   private String pbUser;
    /**
     * 问题数量
     */
   @TableField("PB_QTY")
   private String pbQty;
    /**
     * 建议维修时间
     */
   @TableField("REPAIR_DATE_TIME")
   private LocalDateTime repairDateTime;
    /**
     * 发现环节
     */
   @TableField("DISCOVER")
   private String discover;
    /**
     * 检验人员
     */
   @TableField("INSPECTOR")
   private String inspector;
    /**
     * 实物位置
     */
   @TableField("ENTITY_LOCATION")
   private String entityLocation;
    /**
     * 上报来源
     */
   @TableField("REPORT_FROM")
   private String reportFrom;
    /**
     * 关联来源
     */
   @TableField("OBJECT_BO")
   private String objectBo;
    /**
     * 问题照片
     */
   @TableField("PB_PHOTOSHOP")
   private String pbPhotoshop;
    /**
     * 取消代码
     */
   @TableField("CANCEL_CODE")
   private String cancelCode;
    /**
     * 取消原因
     */
   @TableField("CANCEL_REASON")
   private String cancelReason;
    /**
     * 取消时间
     */
   @TableField("CANCEL_DATE_TIME")
   private LocalDateTime cancelDateTime;
    /**
     * 取消人
     */
   @TableField("CANCEL_USER")
   private String cancelUser;
    /**
     * 责任划分填报人
     */
   @TableField("DUTY_USER")
   private String dutyUser;
    /**
     * 责任划分填报时间
     */
   @TableField("DUTY_DATE_TIME")
   private LocalDateTime dutyDateTime;
    /**
     * 责任部门
     */
   @TableField("DUTY_DEPART")
   private String dutyDepart;
    /**
     * 责任人
     */
   @TableField("PRINCIPAL_USER")
   private String principalUser;
    /**
     * 原因分析
     */
   @TableField("DUTY_CAUSE_DESCRIPTION")
   private String dutyCauseDescription;
    /**
     * 原因分类
     */
   @TableField("DUTY_CAUSE_TYPE")
   private String dutyCauseType;
    /**
     * 责任分类
     */
   @TableField("DUTY_TYPE")
   private String dutyType;
    /**
     * 发送用户组
     */
   @TableField("DUTY_SEND_USER_GROUP")
   private String dutySendUserGroup;
    /**
     * 解决方案填报人
     */
   @TableField("RESOLVE_USER")
   private String resolveUser;
    /**
     * 解决方案填报时间
     */
   @TableField("RESOLVE_DATE_TIME")
   private LocalDateTime resolveDateTime;
    /**
     * 异常方案
     */
   @TableField("ABNORMAL_METHOD")
   private String abnormalMethod;
    /**
     * 返修工艺
     */
   @TableField("ROUTER_BO")
   private String routerBo;
    /**
     * 返修工单
     */
   @TableField("RESOLVE_SHOP_ORDER")
   private String resolveShopOrder;
    /**
     * 方案备注
     */
   @TableField("RESOLVE_REMARK")
   private String resolveRemark;
    /**
     * 发送用户组
     */
   @TableField("RESOLVE_SEND_USER_GROUP")
   private String resolveSendUserGroup;
    /**
     * 闭环关闭填报人
     */
   @TableField("CLOSED_USER")
   private String closedUser;
    /**
     * 闭环关闭填报时间
     */
   @TableField("CLOSED_DATE_TIME")
   private LocalDateTime closedDateTime;
    /**
     * 异常原因
     */
   @TableField("ABNORMAL_REASON")
   private String abnormalReason;
    /**
     * 预防措施
     */
   @TableField("BEFORE_MEASURE")
   private String beforeMeasure;
    /**
     * 提报发送用户组
     */
   @TableField("REPORT_SEND_USER_GROUP")
   private String reportSendUserGroup;
    /**
     * 取消发送用户组
     */
   @TableField("CANCEL_SEND_USER_GROUP")
   private String cancelSendUserGroup;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建日期
     */
   @TableField("CREATED_DATA_TIME")
   private LocalDateTime createdDataTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
    /**
     * 产品型号
     */
   @TableField("PRODUCT_CATEGORY")
   private String productCategory;
    /**
     * 工步
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 工作令
     */
   @TableField("WORK_ORDER")
   private String workOrder;
    /**
     * 项目号
     */
   @TableField("ITEM_NUMBER")
   private String itemNumber;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getAbnormalNo() {
      return abnormalNo;
   }

   public void setAbnormalNo(String abnormalNo) {
      this.abnormalNo = abnormalNo;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getType() {
      return type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getMessageType() {
      return messageType;
   }

   public void setMessageType(String messageType) {
      this.messageType = messageType;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getNcCode() {
      return ncCode;
   }

   public void setNcCode(String ncCode) {
      this.ncCode = ncCode;
   }

   public String getNcCodeGroup() {
      return ncCodeGroup;
   }

   public void setNcCodeGroup(String ncCodeGroup) {
      this.ncCodeGroup = ncCodeGroup;
   }

   public String getShutDown() {
      return shutDown;
   }

   public void setShutDown(String shutDown) {
      this.shutDown = shutDown;
   }

   public String getResponseUser() {
      return responseUser;
   }

   public void setResponseUser(String responseUser) {
      this.responseUser = responseUser;
   }

   public LocalDateTime getResponseDateTime() {
      return responseDateTime;
   }

   public void setResponseDateTime(LocalDateTime responseDateTime) {
      this.responseDateTime = responseDateTime;
   }

   public String getPbDescription() {
      return pbDescription;
   }

   public void setPbDescription(String pbDescription) {
      this.pbDescription = pbDescription;
   }

   public String getNcQty() {
      return ncQty;
   }

   public void setNcQty(String ncQty) {
      this.ncQty = ncQty;
   }

   public String getPbGrade() {
      return pbGrade;
   }

   public void setPbGrade(String pbGrade) {
      this.pbGrade = pbGrade;
   }

   public String getPbUser() {
      return pbUser;
   }

   public void setPbUser(String pbUser) {
      this.pbUser = pbUser;
   }

   public String getPbQty() {
      return pbQty;
   }

   public void setPbQty(String pbQty) {
      this.pbQty = pbQty;
   }

   public LocalDateTime getRepairDateTime() {
      return repairDateTime;
   }

   public void setRepairDateTime(LocalDateTime repairDateTime) {
      this.repairDateTime = repairDateTime;
   }

   public String getDiscover() {
      return discover;
   }

   public void setDiscover(String discover) {
      this.discover = discover;
   }

   public String getInspector() {
      return inspector;
   }

   public void setInspector(String inspector) {
      this.inspector = inspector;
   }

   public String getEntityLocation() {
      return entityLocation;
   }

   public void setEntityLocation(String entityLocation) {
      this.entityLocation = entityLocation;
   }

   public String getReportFrom() {
      return reportFrom;
   }

   public void setReportFrom(String reportFrom) {
      this.reportFrom = reportFrom;
   }

   public String getObjectBo() {
      return objectBo;
   }

   public void setObjectBo(String objectBo) {
      this.objectBo = objectBo;
   }

   public String getPbPhotoshop() {
      return pbPhotoshop;
   }

   public void setPbPhotoshop(String pbPhotoshop) {
      this.pbPhotoshop = pbPhotoshop;
   }

   public String getCancelCode() {
      return cancelCode;
   }

   public void setCancelCode(String cancelCode) {
      this.cancelCode = cancelCode;
   }

   public String getCancelReason() {
      return cancelReason;
   }

   public void setCancelReason(String cancelReason) {
      this.cancelReason = cancelReason;
   }

   public LocalDateTime getCancelDateTime() {
      return cancelDateTime;
   }

   public void setCancelDateTime(LocalDateTime cancelDateTime) {
      this.cancelDateTime = cancelDateTime;
   }

   public String getCancelUser() {
      return cancelUser;
   }

   public void setCancelUser(String cancelUser) {
      this.cancelUser = cancelUser;
   }

   public String getDutyUser() {
      return dutyUser;
   }

   public void setDutyUser(String dutyUser) {
      this.dutyUser = dutyUser;
   }

   public LocalDateTime getDutyDateTime() {
      return dutyDateTime;
   }

   public void setDutyDateTime(LocalDateTime dutyDateTime) {
      this.dutyDateTime = dutyDateTime;
   }

   public String getDutyDepart() {
      return dutyDepart;
   }

   public void setDutyDepart(String dutyDepart) {
      this.dutyDepart = dutyDepart;
   }

   public String getPrincipalUser() {
      return principalUser;
   }

   public void setPrincipalUser(String principalUser) {
      this.principalUser = principalUser;
   }

   public String getDutyCauseDescription() {
      return dutyCauseDescription;
   }

   public void setDutyCauseDescription(String dutyCauseDescription) {
      this.dutyCauseDescription = dutyCauseDescription;
   }

   public String getDutyCauseType() {
      return dutyCauseType;
   }

   public void setDutyCauseType(String dutyCauseType) {
      this.dutyCauseType = dutyCauseType;
   }

   public String getDutyType() {
      return dutyType;
   }

   public void setDutyType(String dutyType) {
      this.dutyType = dutyType;
   }

   public String getDutySendUserGroup() {
      return dutySendUserGroup;
   }

   public void setDutySendUserGroup(String dutySendUserGroup) {
      this.dutySendUserGroup = dutySendUserGroup;
   }

   public String getResolveUser() {
      return resolveUser;
   }

   public void setResolveUser(String resolveUser) {
      this.resolveUser = resolveUser;
   }

   public LocalDateTime getResolveDateTime() {
      return resolveDateTime;
   }

   public void setResolveDateTime(LocalDateTime resolveDateTime) {
      this.resolveDateTime = resolveDateTime;
   }

   public String getAbnormalMethod() {
      return abnormalMethod;
   }

   public void setAbnormalMethod(String abnormalMethod) {
      this.abnormalMethod = abnormalMethod;
   }

   public String getRouterBo() {
      return routerBo;
   }

   public void setRouterBo(String routerBo) {
      this.routerBo = routerBo;
   }

   public String getResolveShopOrder() {
      return resolveShopOrder;
   }

   public void setResolveShopOrder(String resolveShopOrder) {
      this.resolveShopOrder = resolveShopOrder;
   }

   public String getResolveRemark() {
      return resolveRemark;
   }

   public void setResolveRemark(String resolveRemark) {
      this.resolveRemark = resolveRemark;
   }

   public String getResolveSendUserGroup() {
      return resolveSendUserGroup;
   }

   public void setResolveSendUserGroup(String resolveSendUserGroup) {
      this.resolveSendUserGroup = resolveSendUserGroup;
   }

   public String getClosedUser() {
      return closedUser;
   }

   public void setClosedUser(String closedUser) {
      this.closedUser = closedUser;
   }

   public LocalDateTime getClosedDateTime() {
      return closedDateTime;
   }

   public void setClosedDateTime(LocalDateTime closedDateTime) {
      this.closedDateTime = closedDateTime;
   }

   public String getAbnormalReason() {
      return abnormalReason;
   }

   public void setAbnormalReason(String abnormalReason) {
      this.abnormalReason = abnormalReason;
   }

   public String getBeforeMeasure() {
      return beforeMeasure;
   }

   public void setBeforeMeasure(String beforeMeasure) {
      this.beforeMeasure = beforeMeasure;
   }

   public String getReportSendUserGroup() {
      return reportSendUserGroup;
   }

   public void setReportSendUserGroup(String reportSendUserGroup) {
      this.reportSendUserGroup = reportSendUserGroup;
   }

   public String getCancelSendUserGroup() {
      return cancelSendUserGroup;
   }

   public void setCancelSendUserGroup(String cancelSendUserGroup) {
      this.cancelSendUserGroup = cancelSendUserGroup;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDataTime() {
      return createdDataTime;
   }

   public void setCreatedDataTime(LocalDateTime createdDataTime) {
      this.createdDataTime = createdDataTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getProductCategory() {
      return productCategory;
   }

   public void setProductCategory(String productCategory) {
      this.productCategory = productCategory;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getWorkOrder() {
      return workOrder;
   }

   public void setWorkOrder(String workOrder) {
      this.workOrder = workOrder;
   }

   public String getItemNumber() {
      return itemNumber;
   }

   public void setItemNumber(String itemNumber) {
      this.itemNumber = itemNumber;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String ABNORMAL_NO = "ABNORMAL_NO";

public static final String STATUS = "STATUS";

public static final String TYPE = "TYPE";

public static final String ITEM_BO = "ITEM_BO";

public static final String SFC = "SFC";

public static final String OPERATION = "OPERATION";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String SHOP_ORDER = "SHOP_ORDER";

public static final String MESSAGE_TYPE = "MESSAGE_TYPE";

public static final String RESRCE = "RESRCE";

public static final String NC_CODE = "NC_CODE";

public static final String NC_CODE_GROUP = "NC_CODE_GROUP";

public static final String SHUT_DOWN = "SHUT_DOWN";

public static final String RESPONSE_USER = "RESPONSE_USER";

public static final String RESPONSE_DATE_TIME = "RESPONSE_DATE_TIME";

public static final String PB_DESCRIPTION = "PB_DESCRIPTION";

public static final String NC_QTY = "NC_QTY";

public static final String PB_GRADE = "PB_GRADE";

public static final String PB_USER = "PB_USER";

public static final String PB_QTY = "PB_QTY";

public static final String REPAIR_DATE_TIME = "REPAIR_DATE_TIME";

public static final String DISCOVER = "DISCOVER";

public static final String INSPECTOR = "INSPECTOR";

public static final String ENTITY_LOCATION = "ENTITY_LOCATION";

public static final String REPORT_FROM = "REPORT_FROM";

public static final String OBJECT_BO = "OBJECT_BO";

public static final String PB_PHOTOSHOP = "PB_PHOTOSHOP";

public static final String CANCEL_CODE = "CANCEL_CODE";

public static final String CANCEL_REASON = "CANCEL_REASON";

public static final String CANCEL_DATE_TIME = "CANCEL_DATE_TIME";

public static final String CANCEL_USER = "CANCEL_USER";

public static final String DUTY_USER = "DUTY_USER";

public static final String DUTY_DATE_TIME = "DUTY_DATE_TIME";

public static final String DUTY_DEPART = "DUTY_DEPART";

public static final String PRINCIPAL_USER = "PRINCIPAL_USER";

public static final String DUTY_CAUSE_DESCRIPTION = "DUTY_CAUSE_DESCRIPTION";

public static final String DUTY_CAUSE_TYPE = "DUTY_CAUSE_TYPE";

public static final String DUTY_TYPE = "DUTY_TYPE";

public static final String DUTY_SEND_USER_GROUP = "DUTY_SEND_USER_GROUP";

public static final String RESOLVE_USER = "RESOLVE_USER";

public static final String RESOLVE_DATE_TIME = "RESOLVE_DATE_TIME";

public static final String ABNORMAL_METHOD = "ABNORMAL_METHOD";

public static final String ROUTER_BO = "ROUTER_BO";

public static final String RESOLVE_SHOP_ORDER = "RESOLVE_SHOP_ORDER";

public static final String RESOLVE_REMARK = "RESOLVE_REMARK";

public static final String RESOLVE_SEND_USER_GROUP = "RESOLVE_SEND_USER_GROUP";

public static final String CLOSED_USER = "CLOSED_USER";

public static final String CLOSED_DATE_TIME = "CLOSED_DATE_TIME";

public static final String ABNORMAL_REASON = "ABNORMAL_REASON";

public static final String BEFORE_MEASURE = "BEFORE_MEASURE";

public static final String REPORT_SEND_USER_GROUP = "REPORT_SEND_USER_GROUP";

public static final String CANCEL_SEND_USER_GROUP = "CANCEL_SEND_USER_GROUP";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATA_TIME = "CREATED_DATA_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String PRODUCT_CATEGORY = "PRODUCT_CATEGORY";

public static final String STEP_ID = "STEP_ID";

public static final String WORK_ORDER = "WORK_ORDER";

public static final String ITEM_NUMBER = "ITEM_NUMBER";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "AbnormalBillLog{" +
         "handle = " + handle +
         ", site = " + site +
         ", abnormalNo = " + abnormalNo +
         ", status = " + status +
         ", type = " + type +
         ", itemBo = " + itemBo +
         ", sfc = " + sfc +
         ", operation = " + operation +
         ", workCenter = " + workCenter +
         ", shopOrder = " + shopOrder +
         ", messageType = " + messageType +
         ", resrce = " + resrce +
         ", ncCode = " + ncCode +
         ", ncCodeGroup = " + ncCodeGroup +
         ", shutDown = " + shutDown +
         ", responseUser = " + responseUser +
         ", responseDateTime = " + responseDateTime +
         ", pbDescription = " + pbDescription +
         ", ncQty = " + ncQty +
         ", pbGrade = " + pbGrade +
         ", pbUser = " + pbUser +
         ", pbQty = " + pbQty +
         ", repairDateTime = " + repairDateTime +
         ", discover = " + discover +
         ", inspector = " + inspector +
         ", entityLocation = " + entityLocation +
         ", reportFrom = " + reportFrom +
         ", objectBo = " + objectBo +
         ", pbPhotoshop = " + pbPhotoshop +
         ", cancelCode = " + cancelCode +
         ", cancelReason = " + cancelReason +
         ", cancelDateTime = " + cancelDateTime +
         ", cancelUser = " + cancelUser +
         ", dutyUser = " + dutyUser +
         ", dutyDateTime = " + dutyDateTime +
         ", dutyDepart = " + dutyDepart +
         ", principalUser = " + principalUser +
         ", dutyCauseDescription = " + dutyCauseDescription +
         ", dutyCauseType = " + dutyCauseType +
         ", dutyType = " + dutyType +
         ", dutySendUserGroup = " + dutySendUserGroup +
         ", resolveUser = " + resolveUser +
         ", resolveDateTime = " + resolveDateTime +
         ", abnormalMethod = " + abnormalMethod +
         ", routerBo = " + routerBo +
         ", resolveShopOrder = " + resolveShopOrder +
         ", resolveRemark = " + resolveRemark +
         ", resolveSendUserGroup = " + resolveSendUserGroup +
         ", closedUser = " + closedUser +
         ", closedDateTime = " + closedDateTime +
         ", abnormalReason = " + abnormalReason +
         ", beforeMeasure = " + beforeMeasure +
         ", reportSendUserGroup = " + reportSendUserGroup +
         ", cancelSendUserGroup = " + cancelSendUserGroup +
         ", createdUser = " + createdUser +
         ", createdDataTime = " + createdDataTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", productCategory = " + productCategory +
         ", stepId = " + stepId +
         ", workOrder = " + workOrder +
         ", itemNumber = " + itemNumber +
         "}";
   }
}